RPC_QUEUE_UPCALL(9)

NAME
rpc_queue_upcall - queue an upcall message to userspace

SYNOPSIS

int rpc_queue_upcall(struct rpc_pipe * pipe, struct rpc_pipe_msg * msg);

ARGUMENTS

pipe
    upcall pipe on which to queue given message

msg
    message to queue

DESCRIPTION

Call with an inode created by rpc_mkpipe to queue an upcall. A userspace process may then later read the upcall by performing a read on an open file for this inode. It is up to the caller to initialize the fields of msg (other than msg->list) appropriately.

COPYRIGHT